Audit Logs
List Audit Logs in Account
Get Details of Audit Log entries for an Account. This endpoint is only available in Enterprise editions and requires the audit_logs feature to be enabled.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
audit_logs
List Audit Logs in Account
curl --request GET \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/audit_logs \
--header 'api_access_token: <api-key>'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/audit_logs"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/audit_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"per_page": 15,
"total_entries": 150,
"current_page": 1,
"audit_logs": [
{
"id": 123,
"auditable_id": 123,
"auditable_type": "<string>",
"auditable": {},
"associated_id": 123,
"associated_type": "<string>",
"user_id": 123,
"user_type": "<string>",
"username": "<string>",
"action": "create",
"audited_changes": {},
"version": 123,
"comment": "<string>",
"request_uuid": "<string>",
"created_at": 123,
"remote_address": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
Page number for pagination
⌘I
List Audit Logs in Account

